Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
malloc_segment Struct Reference

## Data Fields
char * | base
size_t | size
struct malloc_segment * | next
flag_t | sflags

## Detailed Description

Definition at line 1935 of file dlmalloc.c.

## Field Documentation

## ◆ base

char* malloc_segment::base

Definition at line 1936 of file dlmalloc.c.

## ◆ next

struct malloc_segment* malloc_segment::next

Definition at line 1938 of file dlmalloc.c.

## ◆ sflags

flag_t malloc_segment::sflags

Definition at line 1974 of file dlmalloc.c.

## ◆ size

size_t malloc_segment::size

Definition at line 1937 of file dlmalloc.c.

The documentation for this struct was generated from the following file:

- ext/fiddle/libffi-3.2.1/src/dlmalloc.c